summaryrefslogtreecommitdiffabout
path: root/delta.jscad
authorMichael Krelin <hacker@klever.net>2016-01-08 22:11:32 (UTC)
committer Michael Krelin <hacker@klever.net>2016-01-08 22:11:32 (UTC)
commit0e8beea7fd5d66d86b31920ad800a47818579298 (patch) (side-by-side diff)
tree3186109dc1de88dc56aeb7097f7d3fda57763b02 /delta.jscad
parent2104176d49450d4fb31c430a12bc16fa5befb63b (diff)
downloadredelta-0e8beea7fd5d66d86b31920ad800a47818579298.zip
redelta-0e8beea7fd5d66d86b31920ad800a47818579298.tar.gz
redelta-0e8beea7fd5d66d86b31920ad800a47818579298.tar.bz2
config: extrusion slot depth
Diffstat (limited to 'delta.jscad') (more/less context) (ignore whitespace changes)
-rw-r--r--delta.jscad2
1 files changed, 1 insertions, 1 deletions
diff --git a/delta.jscad b/delta.jscad
index eb538d2..f87b778 100644
--- a/delta.jscad
+++ b/delta.jscad
@@ -1,58 +1,58 @@
var PRINT = {
layer_height: 0.2,
extrusion_width: 0.4,
fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6
};
var CONFIG = {
extrusion: {
- w: 20
+ w: 20, slotdepth: 6
},
base: {
el: 240, // side extrusion length
sl: 240+2*70, // triangle side length
gap: 9 // vertical gap between side extrusions
},
column: {
h: 600 // column height
},
heatbed: {
r: 220/2, // heatbed radius
sr: 220/2-4.5, // radius of the screwholes circle
h: 3+1.5 // thickness (including insulation)
},
glass: {
r: 195/2, // glass radius
h: 3 // glass thickness
},
duet: {
pcb_size: { x: 124, y: 100, z: 1 },
hole_spacing: { x: 115, y: 92 },
h: 30
},
foot: {
d: 20*Math.sqrt(2), h: 30,
bolt: { d:5, l: 19, hd: 10 },
margin: 2.5,
nut: { d: 8.6 /* TODO: */, h: 3.5 },
shell: 4,
zscalefactor: 1.6,
foot: { ho: 2.5, hi: 5 }
},
hotend: {
h: 62.4, // full assembly height
groove: { d:12, h:6 }, // grove diameter and height
ungroove: { d:16, above:3.7, below: 3+4 }
},
effector: {
h: 6,
o: 20, // offset to the rod mounts line
rods_apart: 40,
cone: { shell: 1, angle: Math.PI/6 },
rodend: {
joint_w: 7, // thickness of the joint
screw_l: 20-1, // 20 with the head
screw_d: 3
},
hotend: { margin: 2 },